import request from '@/utils/request'

// 查询支付业务列表
export function listBiz(query) {
  return request({
    url: '/pay/payBiz/list',
    method: 'get',
    params: query
  })
}

// 查询支付业务详细
export function getBiz(id) {
  return request({
    url: '/pay/payBiz/' + id,
    method: 'get'
  })
}

// 新增支付业务
export function addBiz(data) {
  return request({
    url: '/pay/payBiz',
    method: 'post',
    data: data
  })
}

// 修改支付业务
export function updateBiz(data) {
  return request({
    url: '/pay/payBiz',
    method: 'put',
    data: data
  })
}

// 删除支付业务
export function delBiz(id) {
  return request({
    url: '/pay/payBiz/' + id,
    method: 'delete'
  })
}

// 锁定支付商户
export function lockPayBiz(id) {
  return request({
    url: '/pay/payBiz/lock/' + id,
    method: 'post'
  })
}
